Page 1 of 2 12 LastLast
Results 1 to 10 of 14

Thread: Scanner not Detected

  1. #1
    Join Date
    Jan 2008
    Beans
    1,175

    Scanner not Detected

    Brother was considerate and sent me up to date instructions. They were clear and easy to follow.
    All was going well until I got the following on the terminal.
    Setting up brscan-skey (0.3.2-0) ...
    apt-get install libusb-0.1-4
    Reading package lists... Done
    Building dependency tree... Done
    Reading state information... Done
    You might want to run 'apt --fix-broken install' to correct these.
    The following packages have unmet dependencies:
    brscan-skey : Depends: libsane (>= 1.0.11-3) but it is not installable
    E: Unmet dependencies. Try 'apt --fix-broken install' with no packages (or specify a solution).
    root@daniel-N68SA-M2S:/home/daniel/Downloads#

    I can now print but the scanner is not detected. It once worked, so it should work again.
    As usual thanks in advance

  2. #2
    Join Date
    May 2024
    Beans
    Hidden!
    Distro
    Ubuntu

    Re: Scanner not Detected

    Did you try running the command suggested in the output "apt --fix-broken install"?

    Did you try installing "libsane" with apt? If so, please share the errors.

  3. #3
    Join Date
    Jan 2008
    Beans
    1,175

    Re: Scanner not Detected

    Quote Originally Posted by currentshaft View Post
    Did you try running the command suggested in the output "apt --fix-broken install"?

    Did you try installing "libsane" with apt? If so, please share the errors.
    I did apt --fix-broken install

    I was impressed with the help that Brother gave me. Hopefully they will follow up with more.

  4. #4
    Join Date
    Mar 2007
    Location
    Promiseland
    Beans
    1,613
    Distro
    Xubuntu 22.04 Jammy Jellyfish

    Re: Scanner not Detected

    You did not state the model of your Brother printer/scanner.
    Is it a multi-function device?
    Did you install it using the newer driverless method?

    I have used the Brother installation scripts to install all of the drivers for my MFC-7360N including print, copy, scan, fax, and one other function that escapes my memory.
    Cheers,


    The Linux Command Line at http://linuxcommand.org/

  5. #5
    Join Date
    Jan 2008
    Beans
    1,175

    Re: Scanner not Detected

    Quote Originally Posted by him610 View Post
    You did not state the model of your Brother printer/scanner.
    Is it a multi-function device?
    Did you install it using the newer driverless method?

    I have used the Brother installation scripts to install all of the drivers for my MFC-7360N including print, copy, scan, fax, and one other function that escapes my memory.
    MFC-7340

    Getting it to print is easy. The difficulty is getting it to detect the scanner.

  6. #6
    Join Date
    Mar 2007
    Location
    Promiseland
    Beans
    1,613
    Distro
    Xubuntu 22.04 Jammy Jellyfish

    Re: Scanner not Detected

    This should not be too difficult (hopefully) to figure out since both of machines are about the same vintage - 2008.

    Did you happen to use utility this to install your drivers?
    Driver Install Tool The tool will install LPR, CUPSwrapper driver and scanner driver (for scanner models). 05/20/2024 (2.2.4-1) 0.02 MB
    https://support.brother.com/g/b/down...0_us_as&os=128

    How is your MFC-7340 connected to your computer? With a Cat5 cable or a USB cable?

    Which version of Ubuntu are you using?

    !! I just noticed this...!!
    I believe the libsane version 1.0.11-3 is incorrect
    brscan-skey : Depends: libsane (>= 1.0.11-3) but it is not installable
    This is what my installed version is...
    Code:
     $ apt list libsane
    Listing... Done
    libsane/jammy,now 1.1.1-5 amd64 [installed]
    libsane/jammy 1.1.1-5 i386
    Yours should probably read, 1.1.1-3 instead of 1.1.11-3
    If you can edit the script and make the correction, it will probably install.

    Since you have already been in contact with Brother, you should let them know about the coding mistype.
    Last edited by him610; June 6th, 2024 at 02:17 AM. Reason: Additional suggestion
    Cheers,


    The Linux Command Line at http://linuxcommand.org/

  7. #7
    Join Date
    Jan 2008
    Beans
    1,175

    Re: Scanner not Detected

    Quote Originally Posted by him610 View Post
    This should not be too difficult (hopefully) to figure out since both of machines are about the same vintage - 2008.

    Did you happen to use utility this to install your drivers?
    Driver Install Tool The tool will install LPR, CUPSwrapper driver and scanner driver (for scanner models). 05/20/2024 (2.2.4-1) 0.02 MB
    https://support.brother.com/g/b/down...0_us_as&os=128

    How is your MFC-7340 connected to your computer? With a Cat5 cable or a USB cable?

    Which version of Ubuntu are you using?

    !! I just noticed this...!!
    I believe the libsane version 1.0.11-3 is incorrect


    This is what my installed version is...
    Code:
     $ apt list libsane
    Listing... Done
    libsane/jammy,now 1.1.1-5 amd64 [installed]
    libsane/jammy 1.1.1-5 i386
    Yours should probably read, 1.1.1-3 instead of 1.1.11-3
    If you can edit the script and make the correction, it will probably install.

    Since you have already been in contact with Brother, you should let them know about the coding mistype.
    Presently I am overwhelmed by the process. This was my last attempt.
    Selecting previously unselected package brscan-skey.
    (Reading database ... 186879 files and directories currently installed.)
    Preparing to unpack brscan-skey-0.3.2-0.amd64.deb ...
    Unpacking brscan-skey (0.3.2-0) ...
    dpkg: brscan-skey: dependency problems, but configuring anyway as you requested:
    brscan-skey depends on libsane (>= 1.0.11-3); however:
    Package libsane is not installed.

    Setting up brscan-skey (0.3.2-0) ...
    apt-get install libusb-0.1-4
    Reading package lists... Done
    Building dependency tree... Done
    Reading state information... Done
    You might want to run 'apt --fix-broken install' to correct these.
    The following packages have unmet dependencies:
    brscan-skey : Depends: libsane (>= 1.0.11-3) but it is not installable
    E: Unmet dependencies. Try 'apt --fix-broken install' with no packages (or specify a solution).

  8. #8
    Join Date
    Jan 2008
    Beans
    1,175

    Re: Scanner not Detected

    Brother just sent me additional instructions. Though I appreciate their help, it getting too much for me.

    https://help.brother-usa.com/app/ans...75Mv_S~zj~PP9b

  9. #9
    Join Date
    Jan 2008
    Beans
    1,175

    Re: Scanner not Detected

    I officially give up. There is no more that I can do.
    Now my options.

    I would like to find a reasonably priced driverless scanner
    If I run the machine on Windows, Brother no longer Supports OCR software for it.

  10. #10
    Join Date
    Jun 2014
    Beans
    7,507

    Re: Scanner not Detected

    brscan-skey : Depends: libsane (>= 1.0.11-3) but it is not installable
    You never responded to the question in post 6 about the incorrect version. Did you make that change in your Brother Scripts? If you run the command suggested in post 6 ( apt list libsane), what output do you get? I would expect it to be the same as that shown in post 6.

Page 1 of 2 12 LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •